centos7安装Discuz!

  1. 云栖社区>
  2. 博客>
  3. 正文

centos7安装Discuz!

金陵一少 浏览1427
展开阅读全文

wordpress安装的差不多了,发现的问题也基本一一解决了。今天打算再做一个论坛。因为域名已经定位到网站上了,那论坛怎么办呢。一开始我想可不可以直接放到网站目录的子目录里,但感觉不会这么简单,就去查了查,结果好像还真可以。那说做就做。
我的网站目录是在/var/www/html里,那我就在html目录里再新建一个目录,叫做Forum,接下来再找到discuz!安装文件,对了,discuz!也是需要apache、mysql和Php这些程序支撑的,因为之前都已经装过了,这里就不说了。找到discuz!下载地址:
简体中文GBK
http://download.comsenz.com/DiscuzX/3.2/Discuz_X3.2_SC_GBK.zip
繁体中文 BIG5
http://download.comsenz.com/DiscuzX/3.2/Discuz_X3.2_TC_BIG5.zip
简体 UTF8
http://download.comsenz.com/DiscuzX/3.2/Discuz_X3.2_SC_UTF8.zip
繁体 UTF8
http://download.comsenz.com/DiscuzX/3.2/Discuz_X3.2_TC_UTF8.zip
一开始我下载的是第一个,但安装时全是乱码,于是换成第三个,结果就正常了。
文件名是Discuz_X3.2_SC_UTF8.zip,解压就用unzip命令,没有的话直接yum装一个就OK了

unzip Discuz_X3.2_SC_UTF8.zip       #解压文件

解压出来后有三个目录:readme upload utility,主要的就是upload,然后我将三个目录mv到Forum目录中,接下来坑爹的情况就开始了

域名/Forum/install                        #无用
域名/Forum/upload/install            #无用
域名/Forum/upload/forum.php     #无用
将upload目录中文件都放到Forum目录中也无用 
将Forum权限升为777无用 
将Forum权限改为apache也无用
有的时候提示无权限,有的时候提示找不到目录

这样摸索着差不多1个小时左右,还是没头绪。最后看着错误提示,说是没权限,我想会不会是防火墙问题,但我之前把防火墙都关闭了下,也都设为开机不启动了,要真是这问题真是见了鬼了。
我先将firewall关闭了,重启httpd服务,没什么用。再关闭selinux(setenforce 0),重启httpd服务,发现能用了。我靠,当时就崩溃了,赶紧查看selinux配置文件

vim /etc/selinx/config                   #打开selinux配置文件

一看,SELINUX=enforcing,估计是这几天又装虚拟机,又搞云主机,都搞混了。终于找到原因了,所以看清错误提示再思考是很有必须,还有不要想当然,把该做都做了才行。赶紧先将enforcing改成disabled,再重启下系统。
ps:之前一直无法升级wordpress,看来也是这个原因了。后来一试,果然
接下来就简单了,浏览器输入域名/forum
centos7安装Discuz!
点击我同意
centos7安装Discuz!

centos7安装Discuz!
一开始目录,文件权限检查有很多是打红叉的,也就是检测不通过,那肯定是权限的问题了,检查后还是目录权限的问题,直接chown遍历了一遍Forum目录,就可以了
centos7安装Discuz!
centos7安装Discuz!
这个过程和wordpress是差不多的,我是用phpmyadmin新建了个数据库,怕和之前的有冲突,搞出什么问题来,不知道两者数据库一样的,可否同一账号一起登录。
安装成功,可以登录
centos7安装Discuz!

今天遇到个问题,花了好久也不能解决,最后还是靠万能的百度。
环境:centos7.4 nginx php7
环境都配置好了,下载了discuz3.2版本放到目录中,打开,提示‘HTTP ERROR 500’,这就奇怪了,这步骤已经做了好多遍,按理说应该不能出问题的。重启数据库,重启nginx,重启主机,检查防火墙和selinux,修改权限等等,依然没有用。
最后终于百度,一搜就出来了,原因出在PHP版本上,过去做测试用的都PHP5版本的,现在用的php7,有些语法就不通用了,导致了错误 。尴尬
原文地址:https://www.cnblogs.com/wenzheshen/p/6650755.html
大概是需要将upload/install/index中的第12行修改下
修改办法:将“@set_magic_quotes_runtime(0);”替换成“@ini_set("magic_quotes_runtime", 0);”,
再重启服务就可以安装了。
我现在终于明白了,为什么新版本出来了,但很多从依然选择使用旧版本的缘故,伤不起啊

网友评论

登录后评论
0/500
评论
金陵一少
+ 关注